namespace MossyUpdater.Services
{
    public interface ILogger
    {
        Task LogInfoAsync(string message);
        Task LogWarningAsync(string message);
        Task LogErrorAsync(string message, Exception? exception = null);
    }

    public enum LogLevel
    {
        Info,
        Warning,
        Error
    }
}